require 'physics'
require 'projectile_behaviour'

function Repeated_Key_Behaviour()

	--player moving
	if not Player.Is_Moving then
	
		if love.keyboard.isDown("w") 
		and Player.Y_Tile > 2 
		and not SolidChecker(Player.X_Tile, Player.Y_Tile-1) 
		then
			Player.Is_Moving = true
			Player.Mov_Dir = "up"	
		end
		
		if love.keyboard.isDown("s") 
		and Player.Y_Tile < SizeY 		
		and not SolidChecker(Player.X_Tile, Player.Y_Tile+1) 
		then
			Player.Is_Moving = true
			Player.Mov_Dir = "down"				
		end
		
		if love.keyboard.isDown("a") 
		and Player.X_Tile > 2 
		and not SolidChecker(Player.X_Tile-1, Player.Y_Tile) 
		then 
			Player.Is_Moving = true
			Player.Mov_Dir = "left"	
		end
		
		if love.keyboard.isDown("d")
		and Player.X_Tile < SizeX-1 		
		and not SolidChecker(Player.X_Tile+1, Player.Y_Tile) 
		then
			Player.Is_Moving = true
			Player.Mov_Dir = "right"	
		end
	end
end

function love.mousepressed(x,y,button)
	
		if button == "l" then
		
			if MouseOnField then
			
				--shooting
				
				--Test Gun
				if Player.In_Hand ~= 0 and ITEM_DOCUMENTATION[Player.In_Hand].Type == "Weapon" then
					if Player.Sprite == 7 and not SolidChecker(Player.X_Tile, Player.Y_Tile-1) then 
						Create_Projectile(Player, "up", ITEM_DOCUMENTATION[Player.In_Hand].Category, Player.In_Hand)
					elseif Player.Sprite == 9 and not SolidChecker(Player.X_Tile, Player.Y_Tile+1) then 
						Create_Projectile(Player, "down", ITEM_DOCUMENTATION[Player.In_Hand].Category, Player.In_Hand)
					elseif Player.Sprite == 3 and not SolidChecker(Player.X_Tile-1, Player.Y_Tile) then 
							Create_Projectile(Player, "left", ITEM_DOCUMENTATION[Player.In_Hand].Category, Player.In_Hand)
					elseif Player.Sprite == 1 and not SolidChecker(Player.X_Tile+1, Player.Y_Tile) then 
						Create_Projectile(Player, "right", ITEM_DOCUMENTATION[Player.In_Hand].Category, Player.In_Hand) end
				end

			--you are clicking on HUD
			elseif (MouseX < 250 and MouseY < 50) then
				Inventory = not Inventory
			elseif (MouseX > 915 and MouseY < 50) then
				love.event.push("quit")
			end
		
		elseif button == "r" then
		
		elseif button == "wd" then
			if Inventory then
				if InvListStart + (9*InvColumnLength) < #ItemsTileset then InvListStart = InvListStart + InvColumnLength end			
			else
				if Player.Selected_Slot == 8 then 
					Player.Selected_Slot = 1 
				else Player.Selected_Slot = Player.Selected_Slot+1 end
			end
		
		elseif button == "wu" then	
			if Inventory then
				if InvListStart > 1 then InvListStart = InvListStart - InvColumnLength end	
			else		
				if Player.Selected_Slot == 1 then 
					Player.Selected_Slot = 8 
				else Player.Selected_Slot = Player.Selected_Slot-1 end		
			end
		end		
		
end