SolidTiles = 
{2, 3, 4, 5, 
18}

function SolidChecker(x,y)

	local isSolid = false
	
	--gate 1: it's on SolidTiles list
	for i=1, #SolidTiles do
		if Field[x][y] == SolidTiles[i] then	
			isSolid = true
			break
		else
			isSolid = false
		end
	end
	
	--gate 2: there's a character on it	
	if isSolid == false then
		for i=1, #Characters do
			if Characters[i].X_Tile == x and Characters[i].Y_Tile == y then
				isSolid = true
				break
			else
				isSolid = false
			end
		end
	end
	
	--gate 3: there's Player on it
	if isSolid == false then
		if Player.X_Tile == x and Player.Y_Tile == y then
			isSolid = true
		else
			isSolid = false
		end	
	end
	
	return isSolid
end

function WatchMouse()
	
	--count mouse-player-horizon angle
	local angle = math.atan2(((Player.X_Tile-1-OffsetX)*TileSize)+Player.OffsetX+(TileSize/2)-MouseX, 
							((Player.Y_Tile-1-OffsetY)*TileSize)+Player.OffsetY+(TileSize/2)-TileSize-MouseY)
	
	--change player sprite
	if 180-math.deg(angle) > 315 or 180-math.deg(angle) < 45 then
		Player.Sprite = 9
	elseif 180-math.deg(angle) < 315 and 180-math.deg(angle) > 225 then
		Player.Sprite = 1
	elseif 180-math.deg(angle) < 225 and 180-math.deg(angle) > 135 then
		Player.Sprite = 7
	elseif 180-math.deg(angle) < 135 and 180-math.deg(angle) > 45 then
		Player.Sprite = 3
	end
	
	--return angle
	return 180-math.deg(angle)

end