function DefineChar(charnum)
	
	for k, v in pairs(CHARACTER_DOCUMENTATION[Characters[charnum].ID]) do
		Characters[charnum][k] = v
	end			

end

function Moving(character, dir)
	if not character.Is_Moving then
	
		if dir == "up"	
		and character.Y_Tile > 1 
		and not SolidChecker(Field[character.X_Tile][character.Y_Tile-1]) 
		then
			character.Is_Moving = true
			character.Mov_Dir = "up"	
		end
		
		if dir == "down"
		and character.Y_Tile < SizeY 		
		and not SolidChecker(Field[character.X_Tile][character.Y_Tile+1]) 
		then
			character.Is_Moving = true
			character.Mov_Dir = "down"				
		end
		
		if dir == "left"
		and character.X_Tile > 1 
		and not SolidChecker(Field[character.X_Tile-1][character.Y_Tile]) 
		then 
			character.Is_Moving = true
			character.Mov_Dir = "left"	
		end
		
		if dir == "right"	
		and character.X_Tile < SizeX 		
		and not SolidChecker(Field[character.X_Tile+1][character.Y_Tile]) 
		then
			character.Is_Moving = true
			character.Mov_Dir = "right"	
		
		end	
	end
end

function Stop(character)
			character.Is_Moving = false
			character.Mov_Dir = "no"
end

--simple patrolling 
function Patrol_Simple(character)

	if character.Patrol_Storing % character.Patrol_Distance == 0 then
		if character.Patrol_Direction == "up" then
			character.Patrol_Direction = "down"	
		elseif character.Patrol_Direction == "down" then
			character.Patrol_Direction = "up"
		elseif character.Patrol_Direction == "left" then
			character.Patrol_Direction = "right"	
		elseif character.Patrol_Direction == "right" then
			character.Patrol_Direction = "left"	
		end
		
		character.Patrol_Storing = 0
	end
	
	if (character.Patrol_Direction == "up" and not SolidChecker(character.X_Tile, character.Y_Tile-1))
	or (character.Patrol_Direction == "down" and not SolidChecker(character.X_Tile, character.Y_Tile+1))
	or (character.Patrol_Direction == "left" and not SolidChecker(character.X_Tile-1, character.Y_Tile))
	or (character.Patrol_Direction == "right" and not SolidChecker(character.X_Tile+1, character.Y_Tile)) then
		Moving(character, character.Patrol_Direction)
	end
	
	character.Patrol_Storing = character.Patrol_Storing + 1	

end

--turning around
function Turning_Around(character)
	if game_clock%character.Turning_Spd == 0 then
		if character.Facing == "up" then character.Facing = "right" character.Sprite = 1
		elseif character.Facing == "down" then character.Facing = "left" character.Sprite = 3
		elseif character.Facing == "left" then character.Facing = "up" character.Sprite = 7
		elseif character.Facing == "right" then character.Facing = "down" character.Sprite = 9 end 	
	end
end